## iputils-20070202.tar.bz2

=== Makefile ===
# Path to parent kernel include files directory
LIBC_INCLUDE=/usr/include

DEFINES= 

#options if you have a bind>=4.9.4 libresolv (or, maybe, glibc)
LDLIBS=-lresolv
ADDLIB=

#options if you compile with libc5, and without a bind>=4.9.4 libresolv
# NOT AVAILABLE. Please, use libresolv.

CC=gcc
# What a pity, all new gccs are buggy and -Werror does not work. Sigh.
#CCOPT=-D_GNU_SOURCE -O2 -Wstrict-prototypes -Wall -g -Werror
CCOPT=-D_GNU_SOURCE -O2 -Wstrict-prototypes -Wall -g
CFLAGS=$(CCOPT) $(GLIBCFIX) $(DEFINES) 

IPV4_TARGETS=tracepath ping arping
IPV6_TARGETS=tracepath6 traceroute6 ping6
TARGETS=$(IPV4_TARGETS) $(IPV6_TARGETS)

LASTTAG:=`git-describe HEAD | sed -e 's/-.*//'`
TAG:=`date +s%Y%m%d`

all: $(TARGETS)

tftpd: tftpd.o tftpsubs.o
ping: ping.o ping_common.o
ping6: ping6.o ping_common.o
ping.o ping6.o ping_common.o: ping_common.h
tftpd.o tftpsubs.o: tftp.h

rdisc_srv: rdisc_srv.o

rdisc_srv.o: rdisc.c
	$(CC) $(CFLAGS) -DRDISC_SERVER -o rdisc_srv.o rdisc.c

check-kernel:
ifeq ($(KERNEL_INCLUDE),)
	@echo "Please, set correct KERNEL_INCLUDE"; false
else
	@set -e; \
	if [ ! -r $(KERNEL_INCLUDE)/linux/autoconf.h ]; then \
		echo "Please, set correct KERNEL_INCLUDE"; false; fi
endif

modules: check-kernel
	$(MAKE) KERNEL_INCLUDE=$(KERNEL_INCLUDE) -C Modules

man:
	$(MAKE) -C doc man

html:
	$(MAKE) -C doc html

clean:
	@rm -f *.o $(TARGETS)
	@$(MAKE) -C Modules clean
	@$(MAKE) -C doc clean

snapshot:
	@if [ "`uname -n`" != "berry" ]; then echo "Not authorized to advance snapshot"; exit 1; fi
	@date "+[$(TAG)]" > RELNOTES.NEW
	@echo >>RELNOTES.NEW
	@git-log $(LASTTAG).. | git-shortlog >> RELNOTES.NEW
	@echo >> RELNOTES.NEW
	@cat RELNOTES >> RELNOTES.NEW
	@mv RELNOTES.NEW RELNOTES
	@date "+static char SNAPSHOT[] = \"$(TAG)\";" > SNAPSHOT.h
	@$(MAKE) -C doc snapshot
	@$(MAKE) man
	@git-commit -a -m "iputils-$(TAG)"
	@git-tag -s -m "iputils-$(TAG)" $(TAG)
	@git-tar-tree $(TAG) iputils-$(TAG) | bzip2 -9 > ../iputils-$(TAG).tar.bz2

=== doc/Makefile ===
SGMLFILES=$(shell echo *.sgml)
HTMLFILES=$(subst .sgml,.html,$(SGMLFILES)) index.html
MANFILES=$(subst .sgml,.8,$(SGMLFILES))

all: html

html: $(HTMLFILES) iputils.html

man: $(MANFILES) fix_sgml2man

# docbook scripts are incredibly dirty in the sense that they leak
# lots of some strange temporary junk directories and files.
# So, scope it to a temporary dir and clean all after each run.

$(HTMLFILES): index.db
	@-rm -rf tmp.db2html
	@mkdir tmp.db2html
	@set -e; cd tmp.db2html; docbook2html ../$< ; mv *.html ..
	@-rm -rf tmp.db2html

iputils.html: iputils.db
	@-rm -rf tmp.db2html
	@mkdir tmp.db2html
	@set -e; cd tmp.db2html; docbook2html -u -o html ../$< ; mv html/$@ ..
	@-rm -rf tmp.db2html

# docbook2man produces utterly ugly output and I did not find
# any way to customize this but hacking backend perl script a little.
# Well, hence...

$(MANFILES): index.db
	@-mkdir tmp.db2man
	@set -e; cd tmp.db2man; nsgmls ../$< | sgmlspl ../docbook2man-spec.pl ;	mv $@ ..
	@-rm -rf tmp.db2man

fix_sgml2man:
	@sed -i -e 's!\\fB\\fIdestination\\fB\\fR \[\\fB/\\fIport\\fB\\fR\]!\\fB\\fIdestination\\fB\\fR[\\fB/\\fIport\\fB\\fR]!g' tracepath.8

clean:
	@rm -rf $(MANFILES) $(HTMLFILES) iputils.html tmp.db2html tmp.db2man

snapshot:
	@date "+%y%m%d" > snapshot.db


$(MANFILES): $(SGMLFILES)

$(HTMLFILES): $(SGMLFILES)

=== debian/changelog ===
iputils (3:20070202-1) unstable; urgency=low

  * New upstream version (Closes: Bug#285420, Bug#391618, Bug#404199)
  * Fix documentation for tracepath (Closes: Bug#185156)
  * Use alternatives to manage traceroute6 so we can be installed
    alongside ndisc6. Thanks to Rémi Denis-Courmont for the
    patch. (Closes: Bug#380677)    
  * Bump standards version to 3.7.2.2 (no changes needed)
  
 -- Noah Meyerhans <noahm@debian.org>  Thu, 12 Apr 2007 18:45:01 -0400

iputils (3:20020927-6) unstable; urgency=medium

  * Fix an error in the previous version that resulted in the offsets in
    cmsgbuf still getting set wrong.  (basically I messed up my order of
    operations and sent pointers flying off into who knows where.  Ooops.)
  * Make sure my .svn directories don't make it into the .diff.gz.

 -- Noah Meyerhans <noahm@debian.org>  Tue, 30 Jan 2007 18:07:02 -0500

iputils (3:20020927-5) unstable; urgency=medium

  * fix typo in debian/control entry for netkit-ping
  * Fix error in pr_type where the index into the ttab2 array was off by
    128.  (Closes: Bug#293985)
  * Fix a bug in ping6.c where the cmsghdr struct associated with a device
    provided via the -I command line flag would clobber any existing
    cmsghdrs in cmsgbuf, which would exist of source routing information
    was provided.

 -- Noah Meyerhans <noahm@debian.org>  Sat, 27 Jan 2007 11:45:34 -0500

iputils (3:20020927-4) unstable; urgency=medium

  * Acknowledge NMU
  * Apply patch from Loïc Minier <lool@dooz.org> to fix arping behavior
    when -w and -c command line flags are given and the target host
    does not reply.  (Closes: Bug#233125)
  * Provide a netkit-ping package so there's a smooth upgrade path for
    people who had the old netkit ping implementation installed.
    (Closes: Bug#384012)
  * Apply patch from Rémi Denis-Courmont <rdenis@simphalempin.com> to
    fix incompatibilities with 2.4 and older 2.6 kernels in ping6 and
    tracepath6.  (Closes: Bug#402121, Bug#397935)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 19 Dec 2006 17:05:27 -0500

iputils (3:20020927-3.1) unstable; urgency=low

  * NMU
  * Use IPV6_RECVHOPLIMIT instead of IPV6_HOPLIMIT in ping6 to build
    with current kernel headers. Closes: #391601
  * Explicitly build-depend on the current version of linux-kernel-headers
    since older ones don't have IPV6_RECVHOPLIMIT.

 -- Joey Hess <joeyh@debian.org>  Sat, 14 Oct 2006 23:48:44 -0400

iputils (3:20020927-3) unstable; urgency=low

  * only requst AF_INET address in ping and tracepath, since these
    tools only deal with IPv4 addresses.  (Closes: Bug#305062)
  * SO_TIMESTAMP is no longer broken on SPARC so its use is no longer
    disabled.  (Closes: Bug#330909)
  * Report all valid ICMP response types in ping (Closes: Bug#186745)
  * Don't print out a bogus and broken statistics line upon exit
    if using -A and pinging an unresponsive host.  (Closes: Bug#180903)
  * Provide a somewhat more descriptive warning if CONFIG_FILTER is
    not supported in the kernel.  This shouldn't matter anymore, since
    it's always enabled on modern kernels.  (Closes: Bug#139151)
  * Use debhelper compat level 4.
  * Move binaries to /usr/bin (Closes: Bug#141799)

 -- Noah Meyerhans <noahm@debian.org>  Sat, 22 Oct 2005 10:54:50 -0400

iputils (3:20020927-2) unstable; urgency=low

  * Build system cleanup.  Stop including anything from /usr/src/linux.
    We still define our own versions of things that should be included
    from /usr/src/sys, and this needs to be fixed, but I will wait until
    post sarge to do so.  (Closes: Bug#223164)
  * Install symlink for tracepath6 man page.

 -- Noah Meyerhans <noahm@debian.org>  Mon, 22 Dec 2003 15:26:54 -0500

iputils (3:20020927-1) unstable; urgency=medium

  * New upstream version.  (Closes: Bug#151980)
  * Changed iputils-ping to Priority: important
  * Changed iputils-tracepath to Priority: optional
  * Added RELNOTES to /usr/share/doc/iputils-* as the upstream changelog.
  * Bumped standards version to 3.5.7.0
  * Changed the sparc kludge (see prev. version's changes) to avoid
    using the SO_TIMESTAMP sockopt, since that seems to be where the 
    problem is.  -U is no longer forced.
  * Fixed '==' typo on line 444 of traceroute6.c.  The patch has been
    sent upstream and will be in future releases.

 -- Noah Meyerhans <noahm@debian.org>  Wed,  2 Oct 2002 23:49:21 -0400

iputils (3:20020124-3) unstable; urgency=medium

  * Added kludge to force -U on ping and ping6 on SPARC, since neither
    program will report correct times at all otherwise.  This will be fixed
    correctly at some point in the future, but possibly not before
    woody's release.  (Closes: Bug#122379)
  * Fixed a printf error in tracepath6.c that caused some slightly
    ugly (non zero-padded) output. (Closes: Bug#141300)
  * Fixed a typo in tracepath.8 (Closes: Bug#135274)
  * Removed reference to clockdiff(8) from arping.8 since clockdiff
    is not packaged.

 -- Noah Meyerhans <noahm@debian.org>  Sun, 21 Apr 2002 02:07:55 -0400

iputils (3:20020124-2) unstable; urgency=low

  * Added newlines to network error indicators in ping6 
    (Closes: Bug#140254, Bug#119651)

 -- Noah Meyerhans <noahm@debian.org>  Wed, 17 Apr 2002 00:32:03 -0400

iputils (3:20020124-1) unstable; urgency=low

  * New upstream release. (Closes: Bug#119651, Bug#120166)
  * Improved the build process.  Uses new debhelper scripts.
  * Added new build deps for manpage auto-generation from SGML source.

 -- Noah Meyerhans <noahm@debian.org>  Tue, 29 Jan 2002 16:32:58 -0500

iputils (3:0ss010824-1) unstable; urgency=low

  * New upstream release (Closes: Bug#113306)

 -- Noah Meyerhans <noahm@gnat.lcs.mit.edu>  Wed, 26 Sep 2001 17:09:51 -0400

iputils (20001110-7) unstable; urgency=low

  * Fixed the Conflicts line for iputils-arping.  (Closes: Bug#100287)
  * Removed an obsolete call to dh_testversion in debian/rules

 -- Noah Meyerhans <noahm@debian.org>  Wed, 13 Jun 2001 22:11:30 -0400



=== debian/control ===
Source: iputils
Section: net
Priority: extra
Maintainer: Noah Meyerhans <noahm@debian.org>
Standards-Version: 3.7.2.2
Build-Depends: debhelper (>> 2), sp, sgmlspl, docbook, linux-kernel-headers (>= 2.6.18-3)

Package: iputils-ping
Architecture: any
Provides: ping
Priority: important
Conflicts: ping, suidmanager (<< 0.50)
Depends: ${shlibs:Depends}
Replaces: netbase (<< 4.00)
Description: Tools to test the reachability of network hosts
 The ping command sends ICMP ECHO_REQUEST packets to a host in order to
 test if the host is reachable via the network.
 .
 This package includes a ping6 utility which supports IPv6 network
 connections.
 
Package: iputils-tracepath
Architecture: any
Suggests: traceroute
Priority: optional
Depends: ${shlibs:Depends}
Conflicts: suidmanager (<< 0.50)
Replaces: netbase (<< 4.00)
Description: Tools to trace the network path to a remote host
 The tracepath utility is similar to the traceroute utility, but also
 attempts to discover the MTU of the path.
 .
 This package also includes tracepath6 and traceroute6 utilities, which
 may be used on IPv6 networks.

Package: iputils-arping
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: suidmanager (<< 0.50), arping, iputils-ping (<<20001110-6)
Replaces: netbase (<< 4.00)
Description: Tool to send ICMP echo requests to an ARP address
 The arping command acts like the standard ping command except it pings
 a machine by its ARP address instead of its IP address.  It is typically
 used to locate a machine if its hardware address is known but its IP
 address is unknown

Package: netkit-ping
Architecture: any
Section: net
Depends: iputils-ping (>= ${Source-Version})
Description: The ping utility from netkit (transitional package)
 This is a transitional package to migrate existing users of netkit-ping
 to iputils-ping (its successor).  It may be safely removed after upgrading.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4

# This has to be exported to make some magic below work.
export DH_OPTIONS

configure:
	dh_testdir

build: configure
	dh_testdir

	$(MAKE)
	$(MAKE) -C doc man

clean:
	dh_testdir
	dh_testroot

	-$(MAKE) clean
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -piputils-tracepath usr/bin
	dh_installdirs -piputils-ping bin
	dh_installdirs -piputils-arping usr/bin

	install -m 4755 -o root -g root ping debian/iputils-ping/bin/
	install -m 4755 -o root -g root ping6 debian/iputils-ping/bin/
	install -m 4755 -o root -g root traceroute6 \
		debian/iputils-tracepath/usr/bin/traceroute6.iputils
	install -m 0755 -o root -g root tracepath \
		debian/iputils-tracepath/usr/bin/
	install -m 0755 -o root -g root tracepath6 \
		debian/iputils-tracepath/usr/bin/
	install -m 0755 -o root -g root arping debian/iputils-arping/usr/bin/

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installchangelogs 
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman -piputils-ping
	dh_installman -piputils-tracepath
	mv debian/iputils-tracepath/usr/share/man/man8/traceroute6.8 \
		debian/iputils-tracepath/usr/share/man/man8/traceroute6.iputils.8
	dh_installman -piputils-arping
	dh_installchangelogs 
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	chmod 4755 debian/iputils-ping/bin/ping
	chmod 4755 debian/iputils-ping/bin/ping6
	chmod 4755 debian/iputils-tracepath/usr/bin/traceroute6.iputils
	chmod 4755 debian/iputils-arping/usr/bin/arping
	ln -sf ping.8.gz debian/iputils-ping/usr/share/man/man8/ping6.8.gz
	ln -sf tracepath.8.gz debian/iputils-tracepath/usr/share/man/man8/tracepath6.8.gz
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch # no binary-indep
.PHONY: build configure clean binary-indep binary-arch binary install
